There are two types of compatibility for the various versions of SystemModeler and the Wolfram Language:

  • Since 11.3 of the Wolfram Language, much of SystemModeler’s functionality is now included as built-in Wolfram Language functions. Models from the appropriate version of SystemModeler can be loaded and run in a Wolfram Language session.
  • For earlier versions of the Wolfram Language, the package WSMLink allows SystemModeler to be controlled from a Wolfram Language session.


The following versions of the Wolfram Language and SystemModeler are compatible with one another:

Wolfram Language Version SystemModeler Version Compatibility Type
12.0 12.0 WSMLink and built-in functionality
11.3 5.1 WSMLink and built-in functionality
11.2 5.0, 4.3, 4.2, 4.1 WSMLink
11.1 5.0, 4.3, 4.2, 4.1 WSMLink
11.0 5.0, 4.3, 4.2, 4.1 WSMLink
10.4 5.0, 4.3, 4.2, 4.1 WSMLink
10.3 5.0, 4.3, 4.2, 4.1 WSMLink